function $9g(){Dfd.call(this)}
function R9g(a,b,d,e){RFd.call(this,a,b,d);this.a=e}
function pgh(a){var b;if(!a.k){b=new Y9g((T0i(yde(a.a)),Rnj(Ade(a.a))));a.k=b}return a.k}
function ogh(a){var b;if(!a.j){b=new R9g(_Ed(Ube(a.a)),pgh(a),ngh(a),VLg(Oce(a.a)));lFd((Vbe(a.a),b),iGd(Vbe(a.a)));a.j=b}return a.j}
function Y9g(){vzf.call(this,X2b);this.a=new sAf(X2b,this);this.o="Provides translation services for physical sources, which can be integrated using a Teiid's VDB"}
n3c(4514,1009,hyj,R9g);_.Ri=function(){};_.Wi=function(){this.A.Ar()};_.$i=function(){_uf(this.a,this)};n3c(4517,2870,izj,Y9g);_.Bh=function(){return nzf(this)};_.xr=function(){return this.a};_.yr=function(){return h6j};_.Cr=function(){var a;a=new K$f(this.n);T0d(a,rGj,O0d(hM(o2c,bxj,264,[L0i(o0i(this.r,xAj),hM(N1c,bxj,236,[])),L0i(o0i(this.r,vYj),hM(N1c,bxj,236,[]))])));return a};_.Gr=function(){var a,b;b=new jrg(5);o7c(b,new X2g,OHj);a=new $9g;C7c(b,b.u.b,a,new Ffd(cZj));return b};n3c(4518,677,Rxj,$9g);_.nd=function(a){return a.lL()};n3c(4585,1,Pyj);_.qd=function(){JGd(this.b,ogh(this.a.a))};var N1b=DNd(4514),P1b=DNd(4517),O1b=DNd(4518);Bzj(hp)(18);